Subject: Re: C compiler cannot create Executables" error while building Powerpc cross compiler.
From: Jan Nieuwenhuizen <[email-masked]>
To: Ramesh Veema <[email-masked]>
Cc: [email-masked]
Date: 23 Jan 2001 10:15:35 +0100

Ramesh Veema <ramesh.catapult.com>  writes:

> I did the make distclean and  configure the latest gcc  as follows for
> cross compilation
> 
>  ./configure  --target=powerpc-motorola-eabi
> 
> and  cd gcc directory and Config.log file shows the bottom ettot:

Did you build and install x binutils?

> If any one have idea please help me out in identifying  to do better
> Cross compilation

I've constructed a set of scripts to automagically setup a x building
environment for Cygwin, and use it to x build guile and LilyPond on
Debian GNU/Linux powerpc.

Have a look at:

    http://appel.lilypond.org/lilypond/gnu-windows/cross.tar.gz

Lots bugs have been fixed since (pre-)cygwin 1.0, but with 1.1.7 I
still need fixes like these to binutil's post install stage:

    cd $BUILD_ROOT/$CROSS_PREFIX/$TARGET_PLATFORM/bin
    ln -f ../../bin/$TARGET_PLATFORM-objdump objdump
    ln -f ../../bin/$TARGET_PLATFORM-objcopy objcopy
    mv -f ld ld-in-path-breaks-libtool

Greetings,
Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple